<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgUsuarios.tituloAdministrar}</ui:define>

	<ui:define name="cuerpoPagina">

		<h:form id="formMensajes">
			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />
		</h:form>

		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgUsuarios.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgUsuarios.bcUsuario}" url="#" />
				<p:menuitem value="#{msgUsuarios.bcUsuarioAdmin}"
					url="${request.contextPath}/usuarios/administrar.faces" />
			</p:breadCrumb>

			<p:dataTable id="usuarioList" var="objUsuario"
				value="#{beanUsuario.getListadoUsuarios()}" rows="10"
				paginator="true" paginatorPosition="bottom" multiViewState="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" lazy="true">

				<f:facet name="header">#{msgUsuarios.tituloAdministrar}</f:facet>

				<p:column headerText="#{msgUsuarios.idUsuario}" style="width: 10%;">
					<h:outputText value="#{objUsuario.idUsuario}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.correo}" style="width: 10%;">
					<h:outputText value="#{objUsuario.correo}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.direccion}" style="width: 10%;">
					<h:outputText value="#{objUsuario.direccion}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.documento}" style="width: 10%;">
					<h:outputText
						value="#{objUsuario.tipoDocumento} #{objUsuario.documento}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.fechaNacimiento}"
					style="width: 10%;">
					<h:outputText value="#{objUsuario.fechaNacimiento}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.genero}" style="width: 10%;">
					<h:outputText
						value="#{beanUsuario.getGeneroNombre(objUsuario.genero)}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.nombre}" style="width: 20%;">
					<h:outputText
						value="#{objUsuario.nombres} #{objUsuario.primerApellido} #{objUsuario.segundoApellido}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.telefono}" style="width: 10%;">
					<h:outputText value="#{objUsuario.telefono}" />
				</p:column>

				<p:column headerText="#{msgUsuarios.listaPrecio}"
					style="width: 10%;">
					<h:outputText value="#{objUsuario.listaPrecio.nombreListaPrecio}" />
				</p:column>

				<p:column headerText="" style="width: 10%;">
					<p:commandLink
						action="#{beanUsuario.seleccionarUsuarioActualizar(objUsuario)}">
						<i class="fa fa-edit"
							style="font-size: 1.3em; color: green; margin-right: 1rem;"></i>
					</p:commandLink>

					<p:commandLink
						action="#{beanUsuario.seleccionarUsuarioActualizarClave(objUsuario)}"><i class="fa fa-key"
							style="font-size: 1.3em; color: green; margin-right: 1rem;"></i>
					</p:commandLink>

					<p:commandLink
						actionListener="#{beanUsuario.seleccionarUsuarioBorrar(objUsuario)}"
						oncomplete="PF('dialogBorrar').show();"
						update=":dialogForm:nomUsuarioBorrar"><i class="fa fa-trash-o" style="font-size: 1.3em; color: red;"></i>
					</p:commandLink>
				</p:column>

			</p:dataTable>
		</h:form>

		<p:dialog header="#{msgUsuarios.mensajeBorrar}"
			widgetVar="dialogBorrar" modal="true" height="150px"
			resizable="false">

			<h:form id="dialogForm">
				<h:outputText value="#{msgUsuarios.mensajeConfirmar}" />
				<p:separator />
				<strong> <h:outputText id="nomUsuarioBorrar"
					value="#{beanUsuario.objUsuario.nombres}" /> </strong>

				<br />
				<br />

				<div align="center"> <p:commandButton
					value="#{msgUsuarios.btnBorrar}"
					style="background: red; color: #FFF"
					actionListener="#{beanUsuario.btnBorrar()}"
					update="form :formMensajes:messages"
					oncomplete="PF('dialogBorrar').hide();" ajax="true" /> <p:commandButton
					value="#{msgUsuarios.btnCancelar}"
					onclick="PF('dialogBorrar').hide();" ajax="true" /> </div>
			</h:form>

		</p:dialog>

	</ui:define>

</ui:composition>

